<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "healthgrades_stats".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "HealthgradesStats".
 *
 * Columns in table "healthgrades_stats" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property string $client_code
 * @property string $provider_code
 * @property string $npi_id
 * @property string $provider_name
 * @property string $profile_completion_rate
 * @property string $fields_to_complete
 * @property string $date
 * @property integer $profile_visits
 * @property integer $oar_submits
 * @property integer $video_plays
 * @property integer $survey_count
 * @property string $avg_survey_score
 * @property integer $total_calls
 * @property integer $answered_calls
 * @property string $avg_call_duration
 * @property integer $profile_promos
 * @property integer $profile_visits_mtd
 * @property integer $oar_submits_mtd
 * @property integer $video_plays_mtd
 * @property integer $survey_count_mtd
 * @property string $avg_survey_score_mtd
 * @property integer $total_calls_mtd
 * @property integer $answered_calls_mtd
 * @property string $avg_call_duration_mtd
 * @property string $image_url
 * @property integer $practice_site_clicks
 * @property integer $practice_site_clicks_mtd
 * @property integer $profile_promos_mtd
 * @property string $data
 * @property string $date_added
 *
 */
abstract class BaseHealthgradesStats extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'healthgrades_stats';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'HealthgradesStats|HealthgradesStats', $n);
    }

    public static function representingColumn()
    {
        return 'npi_id';
    }

    public function rules()
    {
        return array(
            array('npi_id', 'required'),
            array('profile_visits, oar_submits, video_plays, survey_count, total_calls, answered_calls, profile_promos, profile_visits_mtd, oar_submits_mtd, video_plays_mtd, survey_count_mtd, total_calls_mtd, answered_calls_mtd, practice_site_clicks, practice_site_clicks_mtd, profile_promos_mtd', 'numerical', 'integerOnly' => true),
            array('client_code, provider_code', 'length', 'max' => 20),
            array('npi_id, avg_survey_score, avg_call_duration, avg_survey_score_mtd, avg_call_duration_mtd', 'length', 'max' => 10),
            array('provider_name, image_url', 'length', 'max' => 150),
            array('profile_completion_rate', 'length', 'max' => 5),
            array('fields_to_complete', 'length', 'max' => 1000),
            array('date, data, date_added', 'safe'),
            array('client_code, provider_code, provider_name, profile_completion_rate, fields_to_complete, date, profile_visits, oar_submits, video_plays, survey_count, avg_survey_score, total_calls, answered_calls, avg_call_duration, profile_promos, profile_visits_mtd, oar_submits_mtd, video_plays_mtd, survey_count_mtd, avg_survey_score_mtd, total_calls_mtd, answered_calls_mtd, avg_call_duration_mtd, image_url, practice_site_clicks, practice_site_clicks_mtd, profile_promos_mtd, data, date_added', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, client_code, provider_code, npi_id, provider_name, profile_completion_rate, fields_to_complete, date, profile_visits, oar_submits, video_plays, survey_count, avg_survey_score, total_calls, answered_calls, avg_call_duration, profile_promos, profile_visits_mtd, oar_submits_mtd, video_plays_mtd, survey_count_mtd, avg_survey_score_mtd, total_calls_mtd, answered_calls_mtd, avg_call_duration_mtd, image_url, practice_site_clicks, practice_site_clicks_mtd, profile_promos_mtd, data, date_added', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'client_code' => Yii::t('app', 'Client Code'),
            'provider_code' => Yii::t('app', 'Provider Code'),
            'npi_id' => Yii::t('app', 'Npi'),
            'provider_name' => Yii::t('app', 'Provider Name'),
            'profile_completion_rate' => Yii::t('app', 'Profile Completion Rate'),
            'fields_to_complete' => Yii::t('app', 'Fields To Complete'),
            'date' => Yii::t('app', 'Date'),
            'profile_visits' => Yii::t('app', 'Profile Visits'),
            'oar_submits' => Yii::t('app', 'Oar Submits'),
            'video_plays' => Yii::t('app', 'Video Plays'),
            'survey_count' => Yii::t('app', 'Survey Count'),
            'avg_survey_score' => Yii::t('app', 'Avg Survey Score'),
            'total_calls' => Yii::t('app', 'Total Calls'),
            'answered_calls' => Yii::t('app', 'Answered Calls'),
            'avg_call_duration' => Yii::t('app', 'Avg Call Duration'),
            'profile_promos' => Yii::t('app', 'Profile Promos'),
            'profile_visits_mtd' => Yii::t('app', 'Profile Visits Mtd'),
            'oar_submits_mtd' => Yii::t('app', 'Oar Submits Mtd'),
            'video_plays_mtd' => Yii::t('app', 'Video Plays Mtd'),
            'survey_count_mtd' => Yii::t('app', 'Survey Count Mtd'),
            'avg_survey_score_mtd' => Yii::t('app', 'Avg Survey Score Mtd'),
            'total_calls_mtd' => Yii::t('app', 'Total Calls Mtd'),
            'answered_calls_mtd' => Yii::t('app', 'Answered Calls Mtd'),
            'avg_call_duration_mtd' => Yii::t('app', 'Avg Call Duration Mtd'),
            'image_url' => Yii::t('app', 'Image Url'),
            'practice_site_clicks' => Yii::t('app', 'Practice Site Clicks'),
            'practice_site_clicks_mtd' => Yii::t('app', 'Practice Site Clicks Mtd'),
            'profile_promos_mtd' => Yii::t('app', 'Profile Promos Mtd'),
            'data' => Yii::t('app', 'Data'),
            'date_added' => Yii::t('app', 'Date Added'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('client_code', $this->client_code, true);
        $criteria->compare('provider_code', $this->provider_code, true);
        $criteria->compare('npi_id', $this->npi_id, true);
        $criteria->compare('provider_name', $this->provider_name, true);
        $criteria->compare('profile_completion_rate', $this->profile_completion_rate, true);
        $criteria->compare('fields_to_complete', $this->fields_to_complete, true);
        $criteria->compare('date', $this->date, true);
        $criteria->compare('profile_visits', $this->profile_visits);
        $criteria->compare('oar_submits', $this->oar_submits);
        $criteria->compare('video_plays', $this->video_plays);
        $criteria->compare('survey_count', $this->survey_count);
        $criteria->compare('avg_survey_score', $this->avg_survey_score, true);
        $criteria->compare('total_calls', $this->total_calls);
        $criteria->compare('answered_calls', $this->answered_calls);
        $criteria->compare('avg_call_duration', $this->avg_call_duration, true);
        $criteria->compare('profile_promos', $this->profile_promos);
        $criteria->compare('profile_visits_mtd', $this->profile_visits_mtd);
        $criteria->compare('oar_submits_mtd', $this->oar_submits_mtd);
        $criteria->compare('video_plays_mtd', $this->video_plays_mtd);
        $criteria->compare('survey_count_mtd', $this->survey_count_mtd);
        $criteria->compare('avg_survey_score_mtd', $this->avg_survey_score_mtd, true);
        $criteria->compare('total_calls_mtd', $this->total_calls_mtd);
        $criteria->compare('answered_calls_mtd', $this->answered_calls_mtd);
        $criteria->compare('avg_call_duration_mtd', $this->avg_call_duration_mtd, true);
        $criteria->compare('image_url', $this->image_url, true);
        $criteria->compare('practice_site_clicks', $this->practice_site_clicks);
        $criteria->compare('practice_site_clicks_mtd', $this->practice_site_clicks_mtd);
        $criteria->compare('profile_promos_mtd', $this->profile_promos_mtd);
        $criteria->compare('data', $this->data, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
